{% extends 'base.html' %}
{% load static %}


{% block pagetitle %}Cart{% endblock %}

{% block main %}

    <div id="main">
        <div class="inner">

            <div class="col-lg-12">
                <div class="box-element">

                    <table class="table">
                        <tr>
                            <th><h5>Items: <strong>{{ order.get_cart_items }}</strong></h5></th>
                            <th><h5>Total:<strong> {{ order.get_cart_total }} RON</strong></h5></th>
                            <th>
                                <a style="float:right; margin:5px;" class="btn btn-success"
                                   href="{% url 'orders:checkout' %}">Checkout</a>
                            </th>
                        </tr>
                    </table>

                </div>

                <h1>Cart</h1>
                <div class="box-element">
                    <div class="cart-row">
                        <div style="flex:2"></div>
                        <div style="flex:2"><strong>Item</strong></div>
                        <div style="flex:1"><strong>Price</strong></div>
                        <div style="flex:1"><strong>Quantity</strong></div>
                        <div style="flex:1"><strong>Total</strong></div>
                    </div>
                    {% for item in items %}
                        <div class="cart-row">
                            <div style="flex:2"><img class="row-image"
                                                     src="{{ item.product.product_imageURL }}"></div>
                            <div style="flex:2">{{ item.product.title }}</div>
                            <div style="flex:1"><p>{{ item.product.price }} RON</p></div>
                            <div style="flex:1">
                                <p class="quantity">{{ item.quantity }}</p>
                                <div class="quantity">
                                    <img data-product={{ item.product.id }} data-action="add" class="chg-quantity
                                    update-cart" src="{% static  'images/arrow-up.png' %}">

                                    <img data-product={{ item.product.id }} data-action="remove" class="chg-quantity
                                    update-cart" src="{% static  'images/arrow-down.png' %}">
                                </div>
                            </div>
                            <div style="flex:1"><p>{{ item.get_total }} RON</p></div>
                        </div>
                    {% endfor %}

                </div>

            </div>
        </div>
    </div>

{% endblock %}

{% block footer %}
    <footer id="footer">
        <div class="inner">

            <section>
                <ul class="icons">
                    <li>
                        <a href="https://twitter.com/" target="_blank"
                           class="icon style2 fa-twitter"><span class="label">Twitter</span></a>
                    </li>
                    <li>
                        <a href="https://www.facebook.com/" target="_blank"
                           class="icon style2 fa-facebook"><span class="label">Facebook</span></a>
                    </li>
                    <li>
                        <a href="https://www.instagram.com/" target="_blank"
                           class="icon style2 fa-instagram"><span class="label">Instagram</span></a>
                    </li>
                    <li>
                        <a href="https://www.linkedin.com/" target="_blank"
                           class="icon style2 fa-linkedin"><span class="label">LinkedIn</span></a>
                    </li>
                </ul>
                &nbsp;
            </section>

            <ul class="copyright">
                <li>Copyright © 2020 Company Name</li>
                <li>Template by: <a href="https://www.phpjabbers.com/">PHPJabbers.com</a></li>
            </ul>
        </div>
    </footer>
{% endblock %}

